V Box
=====
custom boxmod chipset from scratch

[firmware](https://figureslibres.io/gitea/bachir/vbox-firmware)

# schematic

![schematics](./schematics-v0.3.1.png)

# 3D
![front](./boxmod-3Dview-front.png)

![rear](./boxmod-3Dview-rear.png)

# bill of materials

| Reference              | Value                         | Footprint                                                  | Qty | DNP |
| ---------------------- | ----------------------------- | ---------------------------------------------------------- | --- | --- |
| BT1                    | Liion 18650                   | Connector_PinSocket_2.54mm:PinSocket_1x02_P2.54mm_Vertical | 1   |     |
| C1,C2,C3               | 0.1µf                         | Capacitor_SMD:C_0805_2012Metric                            | 3   |     |
| C4,C10,C11,C12,C13,C14 | 1µF                           | Capacitor_SMD:C_0805_2012Metric                            | 6   |     |
| C5,C8                  | 10µF                          | Capacitor_SMD:C_0805_2012Metric                            | 2   |     |
| C6,C15                 | 22pF                          | Capacitor_SMD:C_0805_2012Metric                            | 2   |     |
| C7,C20,C21             | 0.1µF                         | Capacitor_SMD:C_0805_2012Metric                            | 3   |     |
| C9                     | 22µF                          | Capacitor_SMD:C_0805_2012Metric                            | 1   |     |
| C16,C17                | 10µf                          | Capacitor_SMD:C_0805_2012Metric                            | 2   |     |
| DS1                    | OLED-DD-9616BE-3A             | My_footprint:oled DD-9616BE-3A_fliped(folded)              | 1   |     |
| J1                     | USB_C_Receptacle_PowerOnly_6P | My_footprint:CUI_UJC-VP-3-SMT-TR                           | 1   |     |
| J2                     | serial pads                   | My_footprint:pad-probe_1x04_P1.27mm_Vertical               | 1   |     |
| J3                     | ICSP like pads                | My_footprint:pad-probe_2x03_P1.27mm_Vertical               | 1   |     |
| J4,J5                  | Conn_01x01_Pin                | Connector_PinHeader_2.54mm:PinHeader_1x01_P2.54mm_Vertical | 2   |     |
| L1                     | 560nH                         | Inductor_SMD:L_0805_2012Metric                             | 1   |     |
| L2                     | 1µH                           | Inductor_SMD:L_0805_2012Metric                             | 1   |     |
| Q1                     | FS8205A                       | Package_SO:TSSOP-8_4.4x3mm_P0.65mm                         | 1   |     |
| Q2                     | AO3400A                       | Package_TO_SOT_SMD:SOT-23                                  | 1   |     |
| Q3                     | AO3401A                       | Package_TO_SOT_SMD:SOT-23                                  | 1   |     |
| Q4                     | BSS138                        | Package_TO_SOT_SMD:SOT-23                                  | 1   |     |
| Q5                     | IRLML6344                     | Package_TO_SOT_SMD:SOT-23                                  | 1   |     |
| R1                     | 2K                            | Resistor_SMD:R_0805_2012Metric                             | 1   |     |
| R2                     | 390k                          | Resistor_SMD:R_0805_2012Metric                             | 1   |     |
| R3,R13,R15,R17,R18,R19 | 10k                           | Resistor_SMD:R_0805_2012Metric                             | 6   |     |
| R4                     | 1k                            | Resistor_SMD:R_0805_2012Metric                             | 1   |     |
| R5                     | 100                           | Resistor_SMD:R_0805_2012Metric                             | 1   |     |
| R6,R7,R8               | 10K                           | Resistor_SMD:R_0805_2012Metric                             | 3   |     |
| R9                     | 1r                            | Resistor_SMD:R_0805_2012Metric                             | 1   |     |
| R10                    | 732k                          | Resistor_SMD:R_0805_2012Metric                             | 1   |     |
| R11                    | 100k                          | Resistor_SMD:R_0805_2012Metric                             | 1   |     |
| R12,R14,R16            | 100r                          | Resistor_SMD:R_0805_2012Metric                             | 3   |     |
| SW1,SW2,SW3            | SW_Push                       | -- mixed values --                                         | 3   |     |
| U1                     | TP4056                        | My_footprint:SOP127P600X175-9N                             | 1   |     |
| U2                     | DW01A                         | Package_TO_SOT_SMD:SOT-23-6                                | 1   |     |
| U3                     | ATSAMD21G18A-A                | Package_QFP:TQFP-48_7x7mm_P0.5mm                           | 1   |     |
| U4                     | HT7133-SOT89                  | Package_TO_SOT_SMD:SOT-89-3                                | 1   |     |
| U5                     | TPS61022                      | Package_DFN_QFN:Texas_RWU0007A_VQFN-7_2x2mm_P0.5mm         | 1   |     |
| Y1                     | Crystal                       | Crystal:Crystal_SMD_3215-2Pin_3.2x1.5mm                    | 1   |     |
